# UI Elements

The `UI` class provides a variety of versatile UI elements designed to enhance custom tabs. These elements can only be created within [Groups](/ui-scripting/api-reference/group.md) or [Cards ](/ui-scripting/api-reference/card.md)and must be their direct children.

Available UI Elements:

* UI.Text
* UI.Button
* UI.Input
* UI.Image
* UI.Select
* UI.Checkbox
* UI.Table


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nighty.one/ui-scripting/api-reference/ui-elements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
